/*utmpctl.h by Samuel Behan <behan@frida.fri.utc.sk> (c) 2001
*/

#ifdef DEBUG
#undef _PATH_UTMP
#define _PATH_UTMP "utmp"
#endif


#define APP_VERSION "	-- utmpctl version 0.1.6 (alfa)\n"
#define APP_USAGE "	%s: [record | -a | -I] [options]\n"
#define APP_HELP "\
[options]\n\
	record	position of record to modify\n\
	-l	list utmp database (default action)\n\
	-a	add this session to utmp\n\
	-m	modify session (-I and opt. T required)\n\
	-i	make session invisible\n\
	-u	uninvisible session\n\
	-w	wipe session data\n\
	-h	this help\n\
	-T type record type (1..6)\n\
	-P pid	pid (ie. 1234)\n\
	-D dev	device (ie. tty1, pts/2)\n\
	-I id	device id - only for adding (tty1 = 1, pts/2 = 2)\n\
	-U user username (ie. root)\n\
	-H host hostname (ie. localhost.localdomain)\n\
[record types]\n\
    0 = UT_UNKNOWN, 1 = RUN_LEVEL, 2 = BOOT_TIME, 3 = NEW_TIME,\n\
    4 = OLD_TIME, 5 = INIT_PROCESS, 6 = LOGIN_PROCESS, 7 = USER_PROCESS\n\
    8 = DEAD_PROCESS, 9 = ACCOUNTING\n\
"
